.b-calendar-panels {
  position: absolute;
  z-index: 10;
  top: 81px;
  bottom: 0;
  right: -1024px;
  -webkit-transform: translate3D(0, 0, 0);
      -ms-transform: translate3D(0, 0, 0);
          transform: translate3D(0, 0, 0);
  width: 1024px;
  background: #fff;
  -webkit-box-shadow: -1px 0px #cdd2d2, -6px 0px 4px -4px rgba(0,0,0,0.1);
          box-shadow: -1px 0px #cdd2d2, -6px 0px 4px -4px rgba(0,0,0,0.1);
}
body._calendar-solo .b-calendar-panels {
  right: -664px;
}
body._calendar-solo .b-calendar-panels {
  -webkit-animation: ani-calendar_none-to-solo 0.5s ease-in-out;
          animation: ani-calendar_none-to-solo 0.5s ease-in-out;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
@-webkit-keyframes ani-calendar_none-to-solo {
  0% {
    right: -1024px;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
    opacity: 0;
  }
  100% {
    right: -1024px;
    -webkit-transform: translate3D(-360px, 0, 0);
            transform: translate3D(-360px, 0, 0);
    opacity: 1;
  }
}
@keyframes ani-calendar_none-to-solo {
  0% {
    right: -1024px;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
    opacity: 0;
  }
  100% {
    right: -1024px;
    -webkit-transform: translate3D(-360px, 0, 0);
            transform: translate3D(-360px, 0, 0);
    opacity: 1;
  }
}
body._calendar-unsolo .b-calendar-panels {
  -webkit-animation: ani-calendar_solo-to-none 0.5s ease-in-out;
          animation: ani-calendar_solo-to-none 0.5s ease-in-out;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
@-webkit-keyframes ani-calendar_solo-to-none {
  0% {
    right: -664px;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
    opacity: 1;
  }
  100% {
    right: -664px;
    -webkit-transform: translate3D(360px, 0, 0);
            transform: translate3D(360px, 0, 0);
    opacity: 0;
  }
}
@keyframes ani-calendar_solo-to-none {
  0% {
    right: -664px;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
    opacity: 1;
  }
  100% {
    right: -664px;
    -webkit-transform: translate3D(360px, 0, 0);
            transform: translate3D(360px, 0, 0);
    opacity: 0;
  }
}
body._calendar-duo .b-calendar-panels {
  right: 0;
}
body._calendar-duo .b-calendar-panels {
  -webkit-animation: ani-calendar_none-to-duo 0.5s ease-in-out;
          animation: ani-calendar_none-to-duo 0.5s ease-in-out;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
@-webkit-keyframes ani-calendar_none-to-duo {
  0% {
    right: -1024px;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
    opacity: 0;
  }
  100% {
    right: -1024px;
    -webkit-transform: translate3D(-1024px, 0, 0);
            transform: translate3D(-1024px, 0, 0);
    opacity: 1;
  }
}
@keyframes ani-calendar_none-to-duo {
  0% {
    right: -1024px;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
    opacity: 0;
  }
  100% {
    right: -1024px;
    -webkit-transform: translate3D(-1024px, 0, 0);
            transform: translate3D(-1024px, 0, 0);
    opacity: 1;
  }
}
body._calendar-unduo .b-calendar-panels {
  -webkit-animation: ani-calendar_duo-to-none 0.5s ease-in-out;
          animation: ani-calendar_duo-to-none 0.5s ease-in-out;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
@-webkit-keyframes ani-calendar_duo-to-none {
  0% {
    right: 0;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
    opacity: 1;
  }
  100% {
    right: 0;
    -webkit-transform: translate3D(1024px, 0, 0);
            transform: translate3D(1024px, 0, 0);
    opacity: 0;
  }
}
@keyframes ani-calendar_duo-to-none {
  0% {
    right: 0;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
    opacity: 1;
  }
  100% {
    right: 0;
    -webkit-transform: translate3D(1024px, 0, 0);
            transform: translate3D(1024px, 0, 0);
    opacity: 0;
  }
}
body._calendar-solo._calendar-duo .b-calendar-panels {
  -webkit-animation: ani-calendar_solo-to-duo 0.5s ease-in-out;
          animation: ani-calendar_solo-to-duo 0.5s ease-in-out;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
@-webkit-keyframes ani-calendar_solo-to-duo {
  0% {
    right: -664px;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
  }
  100% {
    right: -664px;
    -webkit-transform: translate3D(-664px, 0, 0);
            transform: translate3D(-664px, 0, 0);
  }
}
@keyframes ani-calendar_solo-to-duo {
  0% {
    right: -664px;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
  }
  100% {
    right: -664px;
    -webkit-transform: translate3D(-664px, 0, 0);
            transform: translate3D(-664px, 0, 0);
  }
}
body._calendar-solo._calendar-unduo .b-calendar-panels {
  -webkit-animation: ani-calendar_duo-to-solo 0.5s ease-in-out;
          animation: ani-calendar_duo-to-solo 0.5s ease-in-out;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
@-webkit-keyframes ani-calendar_duo-to-solo {
  0% {
    right: 0;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
  }
  100% {
    right: 0;
    -webkit-transform: translate3D(664px, 0, 0);
            transform: translate3D(664px, 0, 0);
  }
}
@keyframes ani-calendar_duo-to-solo {
  0% {
    right: 0;
    -webkit-transform: translate3D(0, 0, 0);
            transform: translate3D(0, 0, 0);
  }
  100% {
    right: 0;
    -webkit-transform: translate3D(664px, 0, 0);
            transform: translate3D(664px, 0, 0);
  }
}
.b-calendar-panels-panel {
  position: absolute;
  top: 0;
  bottom: 0;
}
.b-calendar-panels-panel._first {
  overflow-y: auto;
  overflow-x: hidden;
  left: 0;
  width: 360px;
  -webkit-box-shadow: -1px 0px #cdd2d2 inset, -6px 0px 4px -4px rgba(0,0,0,0.1) inset;
          box-shadow: -1px 0px #cdd2d2 inset, -6px 0px 4px -4px rgba(0,0,0,0.1) inset;
}
.b-calendar-panels-panel._second {
  left: 360px;
  width: 664px;
}

.b-calendar-panels-panel._zero {
  left: -900px;
  width: 900px;
  -webkit-box-shadow: 1px 0px #cdd2d2 inset, 6px 0px 4px -4px rgba(0,0,0,0.1) inset;
  box-shadow: 1px 0px #cdd2d2 inset, 6px 0px 4px -4px rgba(0,0,0,0.1) inset;
  background: #FFFFFF;
  display:none;
}
.b-calendar-panels-panel_cr {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.b-calendar-panels-panel._zero .b-calendar-panels-panel_cr {
  display: flex;
  flex-direction: column;
}

.b-calendar-panels_close {
  position: absolute;
  z-index: 10;
  top: 0;
  right: 0;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  width: 40px;
  height: 40px;
}
.b-calendar-panels_close::before {
  content: '\e60e';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  left: 0;
  margin: -1px 0 0;
  line-height: 2px;
  text-align: center;
}
.b-calendar-panels_preloader {
  position: absolute;
  z-index: 2;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  opacity: 0;
  visibility: hidden;
  background: #fff;
  font-size: 0;
  text-align: center;
}
.b-calendar-panels_preloader {
  -webkit-transition: opacity 0.2s ease, visibility 0s 0.2s;
          transition: opacity 0.2s ease, visibility 0s 0.2s;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
._preloader .b-calendar-panels_preloader {
  opacity: 0.8;
  visibility: visible;
}
._preloader .b-calendar-panels_preloader {
  -webkit-transition: opacity 0.2s ease, visibility 0s;
          transition: opacity 0.2s ease, visibility 0s;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.b-calendar-panels_preloader .t-preloader {
  font-size: 48px;
}
